mina-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmanuel Lecharny (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FTPSERVER-475) FTPServer should use latest MINA-Core (2.0.15) and prevent abstract method error caused by missing FtpHandlerAdapter.inputClosed()
Date Sun, 23 Oct 2016 18:36:58 GMT

    [ https://issues.apache.org/jira/browse/FTPSERVER-475?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15600110#comment-15600110
] 

Emmanuel Lecharny commented on FTPSERVER-475:
---------------------------------------------

I have the whole FTPServer tests passing, but I need to cut a release of MINA before being
able to cut a release of FTPServer. Working on it right now.

> FTPServer should use latest MINA-Core (2.0.15) and prevent abstract method error caused
by missing FtpHandlerAdapter.inputClosed()
> ----------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: FTPSERVER-475
>                 URL: https://issues.apache.org/jira/browse/FTPSERVER-475
>             Project: FtpServer
>          Issue Type: Bug
>          Components: Server
>    Affects Versions: 1.0.6
>            Reporter: Martin Wunderlich
>         Attachments: patch.txt
>
>
> The interface of MINA's IOHandler was changed to add the inputClosed() method. This breaks
the FTPHandlerAdapter, which does not implement this method. 
> The solution is to 
> - update to latest MINA version
> - extend IOHandlerAdapter (which provides a default implementation of said method) instead
of implementing the IOHandler interface. 
> A patch file for these changes is attached. Since this is currently a production-critical
issue for us, it would be great to get an updated release version very soon. Thank you. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message